Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.quote
Class CurrencyMismatchException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.beasys.commerce.foundation.exception.FatalApplicationException
                      com.bea.commerce.ebusiness.price.quote.QuoteException
                          com.bea.commerce.ebusiness.price.quote.CurrencyMismatchException

All Implemented Interfaces
  MessageCatalogException, Serializable

Deprecated

    @Deprecated
    public class CurrencyMismatchException

extends QuoteException

A CurrencyMismatchException indicates that the currencies of Money values within the Quote object do not match. The Quote package is designed to enforce a single currency for all Money values.

See Also
  `ApplicationException`, Serialized Form

Field Summary
`static String` | `KEY` Deprecated The name of the resource bundle

Fields inherited from class com.bea.commerce.ebusiness.price.quote.QuoteException
`MESSAGE_KEY, MESSAGE_NAMESPACE`

Fields inherited from class com.beasys.commerce.foundation.exception.FatalApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`CurrencyMismatchException(Object argument)` Deprecated Class constructor taking an argument for the message.
`CurrencyMismatchException(String messageKey)` Deprecated Class constructor taking a message key for the message.
`CurrencyMismatchException(String messageKey, Exception exception)` Deprecated Class constructor taking key of the associated catalog message and an embedded exception.
`CurrencyMismatchException(String messageKey, Object argument)` Deprecated Class constructor taking key of the associated catalog message and a message parameter substitution argument.
`CurrencyMismatchException(String messageKey, Object[] arguments)` Deprecated Class constructor taking key of the associated catalog message and message parameter substitution arguments.
`CurrencyMismatchException(String expected, String actual, String where)` Deprecated

Method Summary

Methods inherited from class com.beasys.commerce.foundation.exception.FatalApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KEY

    public static final String KEY

  Deprecated
  The name of the resource bundle

  See Also
    Constants Summary

Constructor Detail

### CurrencyMismatchException

    public CurrencyMismatchException(String expected,
                                     String actual,
                                     String where)

  Deprecated

### CurrencyMismatchException

    public CurrencyMismatchException(Object argument)

  Deprecated
  Class constructor taking an argument for the message. Uses the superclasses default key.

  Parameters
    `argument` - parameter to the message catalog.

### CurrencyMismatchException

    public CurrencyMismatchException(String messageKey)

  Deprecated
  Class constructor taking a message key for the message.

  Parameters
    `messageKey` - The associated catalog message key.

### CurrencyMismatchException

    public CurrencyMismatchException(String messageKey,
                                     Exception exception)

  Deprecated
  Class constructor taking key of the associated catalog message and an embedded exception.

  Parameters
    `messageKey` - The associated catalog message key.
    `exception` - The embedded exception.

### CurrencyMismatchException

    public CurrencyMismatchException(String messageKey,
                                     Object argument)

  Deprecated
  Class constructor taking key of the associated catalog message and a message parameter substitution argument.

  Parameters
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.

### CurrencyMismatchException

    public CurrencyMismatchException(String messageKey,
                                     Object[] arguments)

  Deprecated
  Class constructor taking key of the associated catalog message and message parameter substitution arguments.

  Parameters
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.